=== debian/changelog ===
fortran-jonquil (0.3.0-4) unstable; urgency=medium

  * Move dh-fortran-mod -> dh-fortran
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add Section: needed for dh-fortran autodetection
  * Update pkgconf.patch; hard-coding no longer needed

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 16:39:22 +0000

fortran-jonquil (0.3.0-3) unstable; urgency=medium

  * Changes needed for new dh_fortran_lib. Closes: #1120499

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Nov 2025 13:49:21 +0000

fortran-jonquil (0.3.0-2) unstable; urgency=medium

  * Add debian/watch file
  * libfortran-jonquil-0 is multi-arch: same
  * Build-dep on libfortran-toml-dev, pkgconf
  * Add pkgconfig.patch to fix paths

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Sep 2025 08:14:45 +0100

fortran-jonquil (0.3.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1111619))

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 09:21:46 +0100
