=== debian/control ===
Source: fortran-jonquil
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Standards-Version: 4.7.3
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-fortran,
 libfortran-testdrive-dev,
 libfortran-toml-dev,
 pkgconf,
 meson
Homepage: https://github.com/toml-f/jonquil
Vcs-Browser: https://salsa.debian.org/science-team/fortran-jonquil
Vcs-Git: https://salsa.debian.org/science-team/fortran-jonquil.git -b debian/latest

Package: libfortran-jonquil-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},${fortran:Depends},
 libfortran-jonquil-0 ( = ${binary:Version})
Recommends: pkgconf
Description: Fortran library to add TOML features to JSON - devel files
 Jonquil (named after the flower) brings all the features available for
 TOML to JSON land. In fact it provides a seamless intercompatibility when
 working with the data structures of either library and allows to mix and
 match them freely.
 One key strength of Jonquil is that the data structures are not using any
 pointer components,but only allocatables, making them safe to work with,
 easy to (deep-)copy and simple to delete without special care or extra
 finalization.

Package: libfortran-jonquil-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fortran library to add TOML features to JSON 
 Jonquil (named after the flower) brings all the features available for
 TOML to JSON land. In fact it provides a seamless intercompatibility when
 working with the data structures of either library and allows to mix and
 match them freely.
 One key strength of Jonquil is that the data structures are not using any
 pointer components,but only allocatables, making them safe to work with,
 easy to (deep-)copy and simple to delete without special care or extra
 finalization.
