=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/toml-f/jonquil
